InfiniteIterator
InfiniteIterator::next
InfiniteIterator
PHP Manual

# InfiniteIterator::__construct

(PHP 5 >= 5.1.0)

InfiniteIterator::__construct — Constructs an infiniteIterator

### Description

InfiniteIterator::__construct ( Iterator `$iterator` )

Constructs an infinite iterator.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`iterator`

  The passed in iterator.

### Return Values

An infinite iterator.

### See Also

- InfiniteIterator::next - Moves the Iterator forward

InfiniteIterator
InfiniteIterator::next
InfiniteIterator
PHP Manual